import logging
import os

import config
from base_detector import BaseDetector


class KlipperDetector(BaseDetector):

    CONFLICTS = ['USBDetector']

    def __init__(self, _=None):
        self.klipper_port_filename = config.get_settings()['klipper']['host_port']
        self.printerid_dict = {'VID': 'KLPR', 'PID': 'KLPR', 'SNR': '0', 'COM': self.klipper_port_filename}
        self.logger = logging.getLogger(self.__class__.__name__)

    def get_printers_list(self):
        if os.path.islink(self.klipper_port_filename):
            return [self.printerid_dict]

